<?xml version="1.0" encoding="utf-8"?>
<AEConfig>

    <Version>10101</Version>

    <AlgoControl>
        <CameraID>0</CameraID>      <!-- 0:rear(default), 1:front -->
        <isOpenAwb>1</isOpenAwb>    <!-- Take AWB stats into account -->
        <isOpenExtraLong>1</isOpenExtraLong>
        <minISO>100</minISO>
        <IdcgVSMaxShortExpo> 8600 </IdcgVSMaxShortExpo>
        <useDRC4ShortEV> 1 </useDRC4ShortEV>
        <LongFrameMaxISO> 12800 </LongFrameMaxISO>
        <ForceShortFrmDeBanding> 0 </ForceShortFrmDeBanding>
        <SFrmDeBandingETTolerance50Hz> 2000 </SFrmDeBandingETTolerance50Hz><!-- us -->
        <SFrmDeBandingETTolerance60Hz> 1500 </SFrmDeBandingETTolerance60Hz>
        <SFrmDeBandingWaveDepthThd> 40 </SFrmDeBandingWaveDepthThd>
        <ForceDeBandingLuxIndexRange> 200  380 </ForceDeBandingLuxIndexRange>
    </AlgoControl>

    <ExposureTable>
        <!-- TypeA lower Shutter -->
        <ExpoTimeTable50HzTypeA>10000  10000  20000  30000  40000  50000  60000  70000</ExpoTimeTable50HzTypeA>
        <ExpoISOTable50HzTypeA>100    800    1600   3200   5000   6400   12800  12800</ExpoISOTable50HzTypeA>

        <!-- TypeB lower ISO -->
        <ExpoTimeTable50HzTypeB>10000  20000  30000  50000  100000  160000  200000  250000</ExpoTimeTable50HzTypeB>
        <ExpoISOTable50HzTypeB>100     400    800    1200   1600    3200    5000    6400</ExpoISOTable50HzTypeB>

        <ExpoTimeTable50HzExtraLong>10000  500000  500000  500000  500000  500000  500000  500000  850000  </ExpoTimeTable50HzExtraLong>
        <ExpoISOTable50HzExtraLong>100    100     200     400     800     1600    3200    6400    6400    </ExpoISOTable50HzExtraLong>

        <ExpoTimeTable60HzTypeA>8333  8333  16666  24999  33332  41665  49998  58333  83333</ExpoTimeTable60HzTypeA>
        <ExpoISOTable60HzTypeA>100   800   1600   3200   5000   6400   12800  12800  12800</ExpoISOTable60HzTypeA>

        <ExpoTimeTable60HzTypeB>8333  16666  24999  41665  100000  125000  200000  250000</ExpoTimeTable60HzTypeB>
        <ExpoISOTable60HzTypeB>100   400    800    1200   1600    3200    5000    6400</ExpoISOTable60HzTypeB>

        <ExpoTimeTable60HzExtraLong>8333  500000  500000  500000  500000  500000  500000  500000  850000</ExpoTimeTable60HzExtraLong>
        <ExpoISOTable60HzExtraLong>100   100     200     400     800     1600    3200    6400    6400</ExpoISOTable60HzExtraLong>
    </ExposureTable>

    <AIRawHDRParam>
        <AlgoEVArray>0</AlgoEVArray>
        <EVArray>0 -4000 -2000 0 0</EVArray>
        <Target>200</Target>
        <LvZone>10 50 90 130 170 210</LvZone>
        <Lv2EVRatio>1 1 1 1 1 1 </Lv2EVRatio>
        <LvDarkLumaThd> 2  2  3  2  2</LvDarkLumaThd><!-- range [0, 1024] -->
        <ShortExpoEV> -6000  -2000</ShortExpoEV>    <!-- RawHDR Short Frame EV lower bound -->
        <MidShortExpoEV>-6000</MidShortExpoEV>
        <LongExpoEV>4000</LongExpoEV>
        <ExtraLongExpoEV>3000</ExtraLongExpoEV>
        <YuvOverRatioWeight>128</YuvOverRatioWeight>  <!-- range[0, 256] -->
        <YuvRawOverThd>10  100</YuvRawOverThd>  <!-- range[0, 256] -->
        <EllipOverExpoThd>255</EllipOverExpoThd>
        <EllipOverExpoThdFace>180</EllipOverExpoThdFace>
        <LvTh>10  25</LvTh> <!-- [strong, medium]-->
        <LowLightRatio>100</LowLightRatio>
        <HighLightEVThd>1000  3000</HighLightEVThd> <!-- log2(expoTime * ISO) -->
        <HlrType>2</HlrType>
        <HlrLv>1850</HlrLv>
        <HlrOverRatioTH>0</HlrOverRatioTH>

        <SunsetEVEnable> 0 </SunsetEVEnable><!-- short frame EV will add SunsetEV if enable-->
        <SunsetDiff> 0   5  10  15  20  25  30  35  40  45  50   55 </SunsetDiff>
        <SunsetEV>   0  100 200 300 400 500 600 700 800 900 1000 1100 </SunsetEV>

        <OverRatioRawThd> 256 </OverRatioRawThd> <!-- range[1, 256] -->
        <UnderRatioRawThd> 25 </UnderRatioRawThd> <!-- range[1, 256] -->

        <OverExpoScaleLong>  0    5   10   50  200  400 </OverExpoScaleLong>
        <UnderExpoScaleLong> 0    3   20   100 400  800 </UnderExpoScaleLong>

        <LongExpoEvTab0> 1000 1000 1000 1000 1000 1000  </LongExpoEvTab0>
        <LongExpoEvTab1> 1000 1100 1000 1000 1000 1000 </LongExpoEvTab1>
        <LongExpoEvTab2> 1300 1200 1100 1000 1000 1000 </LongExpoEvTab2>
        <LongExpoEvTab3> 1600 1500 1400 1300 1100 1000 </LongExpoEvTab3>
        <LongExpoEvTab4> 2100 2000 1900 1800 1500 1200 </LongExpoEvTab4>
        <LongExpoEvTab5> 3200 3000 2800 2600 2200 2000 </LongExpoEvTab5>

        <OverExpoScaleMidShort> 0    2   10   35  100  300 </OverExpoScaleMidShort>
        <UnderExpoScaleMidShort>0    10  50   100 250  600 </UnderExpoScaleMidShort>

        <MidShortExpoEvTab0>2000 2400 2800 3000 3200 3500 </MidShortExpoEvTab0>
        <MidShortExpoEvTab1>2200 2600 3000 3200 3400 3700 </MidShortExpoEvTab1>
        <MidShortExpoEvTab2>3000 3400 3800 4000 4200 4300 </MidShortExpoEvTab2>
        <MidShortExpoEvTab3>3400 3800 4100 4200 4300 4400 </MidShortExpoEvTab3>
        <MidShortExpoEvTab4>4000 4100 4200 4400 4500 4700 </MidShortExpoEvTab4>
        <MidShortExpoEvTab5>4300 4300 4350 4400 4500 5000 </MidShortExpoEvTab5>

        <OverExpoScaleShort> 0    2   10   35  100  300 </OverExpoScaleShort>
        <UnderExpoScaleShort>0    10  50   100 250  600 </UnderExpoScaleShort>

        <ShortExpoEvTab0>1000 1400 1800 2000 2200 2500 </ShortExpoEvTab0>
        <ShortExpoEvTab1>1200 1600 2000 2200 2400 2700 </ShortExpoEvTab1>
        <ShortExpoEvTab2>2000 2400 2800 3000 3200 3300 </ShortExpoEvTab2>
        <ShortExpoEvTab3>2400 2800 3100 3200 3300 3400 </ShortExpoEvTab3>
        <ShortExpoEvTab4>3000 3100 3200 3400 3500 3700 </ShortExpoEvTab4>
        <ShortExpoEvTab5>3300 3300 3350 3400 3500 4000 </ShortExpoEvTab5>

        <BandingCheckTag>1</BandingCheckTag>
        <BandingLuma>20 30</BandingLuma>
        <BandingRowDepth>5 10</BandingRowDepth>
        <UseManualAE>2</UseManualAE> <!--1:Manual AE, 2:Manual AE+Long Expo Manual AE -->
        <CamMainOTP> 1.0 </CamMainOTP>
        <CamTeleOTP> 2.0 </CamTeleOTP>
    </AIRawHDRParam>
    <EllipParam>
        <LowLightPixelThd>100</LowLightPixelThd>
        <LockISOtoPrev> 1 </LockISOtoPrev>
        <EllipNormalISOThdLow> 9000 </EllipNormalISOThdLow>
        <EllipNormalISOThd> 6200 </EllipNormalISOThd>
        <OverExpoThd>255</OverExpoThd>
        <OverExpoThdFace>180</OverExpoThdFace>
        <LuxindexLevel> 150  200  250  375  400  410  425  435  445  455  465  475 </LuxindexLevel>
        <LvRatio>       1.0  1.1  1.1  1.1  0.6  0.6  0.55  0.6  0.7  1.3  1.6  1.7 </LvRatio>
        <MaxExpoArray> 360000  360000  360000  360000  360000  360000  360000  360000  360000  360000  360000  360000</MaxExpoArray>
        <MinExpoArray> 80000   80000   80000   80000   80000   80000   80000   80000   80000   80000   80000   80000</MinExpoArray>
        <ShortEVThd>-3500</ShortEVThd>
        <ShortISOThdLow> 100 </ShortISOThdLow>
        <MaxExpo>360000</MaxExpo>
        <MinExpo>110000</MinExpo>

        <luxindexScale>  350 365 380 395 410 425 440 455 470 485 </luxindexScale>
        <ShortCoeff>     -1   -1  -1  -1  -1  -1  -1  -1  -1  -1 </ShortCoeff><!-- luxindexScale -> ShortCoeff-->
        <ShortCoeffFace> -1   -1  -1  -1  -1  -1  -1  -1  -1  -1 </ShortCoeffFace><!-- luxindexScale -> ShortCoeffFace-->
        <EllipShortEVConst> 0 0 0 0 0 0 0 0 0 0</EllipShortEVConst><!-- luxindexScale -> EllipShortEVConst-->
        <!-- front -->
        <CurLumaRatio>90  90  90  90  90  90  90  90  60  60  60  60  60  60  60 </CurLumaRatio>
        <FrontLevelLumaRatio>1  2  4  8  16  32</FrontLevelLumaRatio>

        <FrontISO>12800  12800  12800  25600  40000 40000</FrontISO>
        <FrontExpo>125000  125000  250000  250000  500000  500000</FrontExpo>
        <FrontExpoTripod>250000  250000  500000  500000  850000  850000</FrontExpoTripod>

    </EllipParam>

    <HDSRParam>
        <AlgoEVArray>0</AlgoEVArray>
        <EVArray>0 -3000 -3000 0 2000</EVArray>

        <ExpoTimeTable50HzTypeA>10000  10000  20000  30000  40000  50000  60000  70000</ExpoTimeTable50HzTypeA>
        <ExpoISOTable50HzTypeA>100    800    1600   3200   5000   6400   12800  12800</ExpoISOTable50HzTypeA>

        <ExpoTimeTable60HzTypeA>8333  8333  16666  24999  33332  41665  49998  58333  83333</ExpoTimeTable60HzTypeA>
        <ExpoISOTable60HzTypeA>100   800   1600   3200   5000   6400   12800  12800  12800</ExpoISOTable60HzTypeA>

        <!-- Exclusive for Long frame -->
        <ExpoTimeTable50HzTypeB>10000  20000  30000  50000  130000  160000  200000  250000  500000</ExpoTimeTable50HzTypeB>
        <ExpoISOTable50HzTypeB>100    400    800    1200   1600    3200    5000    6400    12800</ExpoISOTable50HzTypeB>

        <ExpoTimeTable60HzTypeB>8333  16666  24999  41665  100000  125000  200000  250000  500000</ExpoTimeTable60HzTypeB>
        <ExpoISOTable60HzTypeB>100   400    800    1200   1600    3200    5000    6400    12800</ExpoISOTable60HzTypeB>

        <Target>200</Target>
        <LvZone>100  800  5000  12000  25000</LvZone>
        <LvDarkRatioThd>35  35  35  40  50</LvDarkRatioThd>
        <LvDarkLumaThd> 2  2  3  2  2</LvDarkLumaThd>
        <ShortExpoEV> -4000  -500</ShortExpoEV>    <!-- RawHDR Short Frame EV lower bound -->
        <MidShortExpoEV>-4000</MidShortExpoEV>
        <LongExpoEV>4000</LongExpoEV>
        <ExtraLongExpoEV>3000</ExtraLongExpoEV>
        <YuvOverRatioWeight>128</YuvOverRatioWeight>  <!-- range[0, 256] -->
        <YuvRawOverThd>10  100</YuvRawOverThd>  <!-- range[0, 256] -->
        <EllipOverExpoThd>255</EllipOverExpoThd>
        <EllipOverExpoThdFace>180</EllipOverExpoThdFace>
        <LvTh>10  25</LvTh> <!-- [strong, medium]-->
        <LowLightRatio>100</LowLightRatio>
        <HighLightEVThd>1000  3000</HighLightEVThd> <!-- log2(expoTime * ISO) -->
        <HlrType>2</HlrType>
        <HlrLv>1850</HlrLv>
        <HlrOverRatioTH>0</HlrOverRatioTH>
        <OverRatioRawThd> 256 </OverRatioRawThd> <!-- range[1, 256] -->
        <UnderRatioRawThd> 25 </UnderRatioRawThd> <!-- range[1, 256] -->

        <OverExpoScaleLong>  0    5   10   50  200  400 </OverExpoScaleLong>
        <UnderExpoScaleLong> 0    3   20   100 400  800 </UnderExpoScaleLong>

        <LongExpoEvTab0> 300  200  100  100  100  100  </LongExpoEvTab0>
        <LongExpoEvTab1> 1000 900  800  700  400  200  </LongExpoEvTab1>
        <LongExpoEvTab2> 1100 1000 900  800  700  500  </LongExpoEvTab2>
        <LongExpoEvTab3> 1500 1300 1000 900  800  700  </LongExpoEvTab3>
        <LongExpoEvTab4> 2000 1700 1400 1300 1100 1000 </LongExpoEvTab4>
        <LongExpoEvTab5> 2500 2200 2000 1800 1700 1600 </LongExpoEvTab5>

        <OverExpoScaleMidShort> 0    2   10   35  100  300 </OverExpoScaleMidShort>
        <UnderExpoScaleMidShort>0    10  50   100 250  600 </UnderExpoScaleMidShort>

        <MidShortExpoEvTab0>1000 1400 1800 2000 2200 2500 </MidShortExpoEvTab0>
        <MidShortExpoEvTab1>1200 1600 2000 2200 2400 2700 </MidShortExpoEvTab1>
        <MidShortExpoEvTab2>2000 2400 2800 3000 3200 3300 </MidShortExpoEvTab2>
        <MidShortExpoEvTab3>2400 2800 3100 3200 3300 3400 </MidShortExpoEvTab3>
        <MidShortExpoEvTab4>3000 3100 3200 3400 3500 3700 </MidShortExpoEvTab4>
        <MidShortExpoEvTab5>3300 3300 3350 3400 3500 4000 </MidShortExpoEvTab5>

        <OverExpoScaleShort> 0    2   10   35  100  300 </OverExpoScaleShort>
        <UnderExpoScaleShort>0    10  50   100 250  600 </UnderExpoScaleShort>

        <ShortExpoEvTab0>500  900  1000 1100 1300 1500 </ShortExpoEvTab0>
        <ShortExpoEvTab1>1000 1100 1200 1400 1600 1800 </ShortExpoEvTab1>
        <ShortExpoEvTab2>1600 1700 1800 1900 2000 2100 </ShortExpoEvTab2>
        <ShortExpoEvTab3>1800 1900 2100 2200 2300 2400 </ShortExpoEvTab3>
        <ShortExpoEvTab4>2000 2100 2200 2400 2500 2700 </ShortExpoEvTab4>
        <ShortExpoEvTab5>2300 2300 2350 2400 2500 3000 </ShortExpoEvTab5>

        <BandingCheckTag>1</BandingCheckTag>
        <BandingLuma>20 30</BandingLuma>
        <BandingRowDepth>5 10</BandingRowDepth>
        <UseManualAE>2</UseManualAE> <!--1:Manual AE, 2:Manual AE+Long Expo Manual AE -->
    </HDSRParam>
    <SuperNightParam> <!-- CurrentLv->ExpoTime -->
        <SuperNightFrameEV> 0 -6000 -3000 0 0 </SuperNightFrameEV>
        <CurrentLv>      -55 -42 -30 -20 -10 -2   0    5   18  30  40  50    65    75  100</CurrentLv>
        <NormalExpo50Hz> 150000 150000 150000 150000 120000 100000 100000 90000 80000 70000 50000 30000 20000 10000 10000</NormalExpo50Hz>
        <NormalExpo60Hz> 149994 149994 149994 149994 124996 108333 108333 91666 83333 66666 49998 33333 16666 8333 8333 </NormalExpo60Hz>
        <SuperNightMaxGain> 12800 </SuperNightMaxGain>
    </SuperNightParam>

    <AiRawLiteParam>
        <LongFrameISODropRate> 2 </LongFrameISODropRate>
    </AiRawLiteParam>

    <ElapseParam>
        <CarExpoRange> 100000 150000 </CarExpoRange><!-- minExpoTime and maxExpoTime -->
        <CarLuxIndex>      375  385  395  405  415  425  435  445  455  465  475   485  495  505  515 </CarLuxIndex>
        <CarExpoDropRatio> 1    1    1.1  1.3  1.6   2   2.5   3   3.5  3.75 4      4    4    4    4  </CarExpoDropRatio><!-- expoValue of Car is previewExpoValue / CarExpoDropRatio-->
        <LightExpoRange> 100000 150000 </LightExpoRange><!-- minExpoTime and maxExpoTime -->
        <LightLuxIndex>      375  385  395  405  415  425  435  445  455  465  475   485  495  505  515 </LightLuxIndex>
        <LightExpoDropRatio> 1    1    1.1  1.3  1.6   2   2.5   3   3.5  3.75 4      4    4    4    4  </LightExpoDropRatio><!-- expoValue of Light is previewExpoValue / LightExpoDropRatio-->
        <WaterExpoRange> 10000 50000 </WaterExpoRange><!-- minExpoTime and maxExpoTime -->
        <StarUsePrevEVLuxindexThd> 375 </StarUsePrevEVLuxindexThd>
        <StarLuxIndex>       150  175   200  225    250   275    300    325    350     375     400     425     450       475       500 </StarLuxIndex>
        <StarTarget>         10   10    10    10     10   10     10     10     9        8       7        6      5        4         3</StarTarget>
        <StarISO>            100  100   470   400   750   700    600    800    600     800     800     800     800       1600      3200 </StarISO>
        <StarMaxExpoTime> 10000000 </StarMaxExpoTime>
    </ElapseParam>
</AEConfig>
<!--fileLength 12065, If add parameters, please adjust the fileLength,2018/02/24-->